# Class validator_factory

- Defined in File validate.hpp

## Class Documentation

class validator_factory

  Validators are globally unique objects, use the validator_factory class to construct them. This class is a singleton.

  Public Functions

  const validator &operator[](std::string_view dictionary_name)

    Return the validator with name dictionary_name.

  const validator &construct_validator(std::string_view name, std::istream &is)

    Construct a new validator with name name from the data in is.

  Public Static Functions

  static validator_factory &instance()

    Return the singleton instance.